// 校友信息管理
// 引入axios请求实例（已封装好baseURL、请求拦截器携带token）
import request from "@/utils/request";

// 11.1.	获取状态下拉列表数据
export function queryStatus() {
  return request({
    url: "/api/alumniActivity/queryStatus",
    method: "get",
  });
}

// 11.8.	获取组织下拉列表数据
export function queryClubDatas(params) {
  return request({
    url: "/api/alumniClub/queryClubDatas",
    method: "get",
    params
  });
}

// 11.2.	获取活动分页数据
export function queryActivityPages(params) {
  return request({
    url: "/api/alumniActivity/queryActivityPages",
    method: "get",
    params,
  });
}

// 11.3.	新增活动数据
export function insertActivity(data) {
  return request({
    url: "/api/alumniActivity/insertActivity",
    method: "post",
    data: data,
  });
}

// 11.6.	更新活动数据
export function updateActivity(data) {
  return request({
    url: "/api/alumniActivity/updateActivity",
    method: "post",
    data: data,
  });
}

// 11.7.	删除活动数据
export function deleteActivityById(params) {
  return request({
    url: "/api/alumniActivity/deleteActivityById",
    method: "get",
    params: params,
  });
}

// 11.9.	获取审核状态下拉列表数据
export function queryPassTypes() {
  return request({
    url: "/api/alumniClub/queryPassTypes",
    method: "get",
  });
}

// 11.10.	获取活动报名审核分页数据
export function queryReportPages(params) {
  return request({
    url: "/api/alumniActivity/queryReportPages",
    method: "get",
    params
  });
}

// 11.11.	审核申请报名数据
export function toExamineReport(params) {
  return request({
    url: "/api/alumniActivity/toExamineReport",
    method: "get",
    params,
  });
}


